- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QSet< T >::const_iterator Class Reference

Search for all occurrences

## Detailed Description

### template<class T>
class QSet< T >::const_iterator

Definition at line 127 of file qset.h.

`#include <qset.h>`

List of all members.

## Public Types
typedef std::bidirectional_iterator_tag | iterator_category
typedef qptrdiff | difference_type
typedef T | value_type
typedef const T * | pointer
typedef const T & | reference
## Public Member Functions
| const_iterator ()
| const_iterator (typename Hash::const_iterator o)
| const_iterator (const const_iterator &o)
| const_iterator (const iterator &o)
const_iterator & | operator= (const const_iterator &o)
const T & | operator* () const
const T * | operator-> () const
bool | operator== (const const_iterator &o) const
bool | operator!= (const const_iterator &o) const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator-- ()
const_iterator | operator-- (int)
const_iterator | operator+ (int j) const
const_iterator | operator- (int j) const
const_iterator & | operator+= (int j)
const_iterator & | operator-= (int j)
## Friends
class | iterator

## Member Typedef Documentation

typedef std::bidirectional_iterator_tag iterator_category

Search for all occurrences

Definition at line 134 of file qset.h.

typedef qptrdiff difference_type

Search for all occurrences

Definition at line 135 of file qset.h.

typedef T value_type

Search for all occurrences

Definition at line 136 of file qset.h.

typedef const T* pointer

Search for all occurrences

Definition at line 137 of file qset.h.

typedef const T& reference

Search for all occurrences

Definition at line 138 of file qset.h.

## Constructor & Destructor Documentation

const_iterator | ( |  | ) | `[inline]`

Definition at line 140 of file qset.h.

    {}

const_iterator | ( | typename Hash::const_iterator | o | ) | `[inline]`

Definition at line 141 of file qset.h.

    : i(o) {}

const_iterator | ( | const const_iterator & | o | ) | `[inline]`

Definition at line 142 of file qset.h.

    : i(o.i) {}

const_iterator | ( | const iterator & | o | ) | `[inline]`

Definition at line 143 of file qset.h.

                : i(o.i) {}

## Member Function Documentation

const_iterator& operator= | ( | const const_iterator & | o | ) | `[inline]`

Definition at line 145 of file qset.h.

    { i = o.i; return *this; }

const T& operator* | ( |  | ) | const `[inline]`

Definition at line 146 of file qset.h.

    { return i.key(); }

const T* operator-> | ( | void |  | ) | const `[inline]`

Definition at line 147 of file qset.h.

    { return &i.key(); }

bool operator== | ( | const const_iterator & | o | ) | const `[inline]`

Definition at line 148 of file qset.h.

    { return i == o.i; }

bool operator!= | ( | const const_iterator & | o | ) | const `[inline]`

Definition at line 149 of file qset.h.

    { return i != o.i; }

const_iterator& operator++ | ( |  | ) | `[inline]`

Definition at line 150 of file qset.h.

    { ++i; return *this; }

const_iterator operator++ | ( | int |  | ) | `[inline]`

Definition at line 151 of file qset.h.

    { const_iterator r = *this; ++i; return r; }

const_iterator& operator-- | ( |  | ) | `[inline]`

Definition at line 152 of file qset.h.

    { --i; return *this; }

const_iterator operator-- | ( | int |  | ) | `[inline]`

Definition at line 153 of file qset.h.

    { const_iterator r = *this; --i; return r; }

const_iterator operator+ | ( | int | j | ) | const `[inline]`

Definition at line 154 of file qset.h.

    { return i + j; }

const_iterator operator- | ( | int | j | ) | const `[inline]`

Definition at line 155 of file qset.h.

    { return i - j; }

const_iterator& operator+= | ( | int | j | ) | `[inline]`

Definition at line 156 of file qset.h.

    { i += j; return *this; }

const_iterator& operator-= | ( | int | j | ) | `[inline]`

Definition at line 157 of file qset.h.

    { i -= j; return *this; }

## Friends And Related Function Documentation

friend class iterator `[friend]`

Search for all occurrences

Definition at line 131 of file qset.h.

The documentation for this class was generated from the following file:

- QtCore/qset.h

QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator
QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator QSet< T >::const_iterator